<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
// mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];
$success = false;

$file = "expheadentry.php";

$expense = $_POST["expense"];
$ptype   = $_POST["ptype"];
$payee   = $_POST["payee"];

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`unit` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`paidby` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`payee` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`amount` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`unit` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`paidby` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`payee` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`amount` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `drawbank`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `examname`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(a. vouchdt, '%d-%m-%Y') AS mydt,b.name FROM `expentry_pe` a
          LEFT JOIN accmast_pe b ON a.expense = b.accode
          WHERE a.`vouchno` != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $getpayee = mysqli_query($conn, "SELECT * FROM $zroot.`passmain` WHERE `user`= '$r[payee]'") or die(mysqli_error($conn));
    $fetpayee = mysqli_fetch_array($getpayee);

    if ($r['paidby'] == "C") {
        $ptyped = "CASH";
    } else if ($r['paidby'] == "R") {
        $ptyped = "CREDIT";
    } else if ($r['paidby'] == "U") {
        $ptyped = "UPI";
    }

    $rows[] = [
        'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['mydt'],
        'exp'     => $r['name'],
        // 'unit'    => $r['unit'],
        'ptyped'  => $ptyped,
        'payee'   => $fetpayee['user'],
        'narr1'   => $r['narr1'],
        'amount'  => $r['amount'],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
